baseURL: 'https://loowiz.envs.net/blog/'
languageCode: 'en-gb'
title: 'Loowiz blog!'
theme: ["PaperMod"]

outputs:
  home:
    - HTML
    - RSS
    - JSON # necessary for search

params:
  ShowShareButtons: true
  ShowReadingTime: true
  ShowBreadCrumbs: true
  ShowPostNavLinks: true
  ShowCodeCopyButtons: true
  homeInfoParams:
    Title: Hi! Welcome to my blog :)
    Content: I'm just mostly doing this for fun so probably wont add much.
  socialIcons: # optional
    - name: "Mastodon"
      url: "https://pleroma.envs.net/loowiz"
    - name: "git"
      url: "https://git.envs.net/loowiz"

  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    # limit: 10 # refer: https://www.fusejs.io/api/methods.html#search
    keys: ["title", "permalink", "summary", "content"]
